package ajcon.custom.util.elements;

public class CException {

    private String name;
    private String idref;
    private String line;
    private String col;
    private String endline;
    private String endcol;
    private String commentToken;
    private String startToken;
    private String endToken;
    private String idkind;

    public CException()
    {
        this.name = null;
        idref = null;
        line = null;
        col = null;
        endline = null;
        endcol = null;
        startToken = null;
        commentToken = null;
        startToken = null;
        endToken = null;
        idkind = null;
    }

    public String getIdref() {
        return idref;
    }

    public void setIdref(String idref) {
        this.idref = idref;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCol() {
        return col;
    }

    public void setCol(String col) {
        this.col = col;
    }

    public String getCommentToken() {
        return commentToken;
    }

    public void setCommentToken(String commentToken) {
        this.commentToken = commentToken;
    }

    public String getEndToken() {
        return endToken;
    }

    public void setEndToken(String endToken) {
        this.endToken = endToken;
    }

    public String getEndcol() {
        return endcol;
    }

    public void setEndcol(String endcol) {
        this.endcol = endcol;
    }

    public String getEndline() {
        return endline;
    }

    public void setEndline(String endline) {
        this.endline = endline;
    }

    public String getIdkind() {
        return idkind;
    }

    public void setIdkind(String idkind) {
        this.idkind = idkind;
    }

    public String getLine() {
        return line;
    }

    public void setLine(String line) {
        this.line = line;
    }

    public String getStartToken() {
        return startToken;
    }

    public void setStartToken(String startToken) {
        this.startToken = startToken;
    }




}
